nav {
    position: fixed;
    width: 100%;
    padding: 20px 50px;
    transition: 0.3s ease;
    z-index: 1000;
}

nav.scrolled {
    background: rgba(0, 0, 0, 0.88);
    backdrop-filter: blur(8px);
    box-shadow: 0 4px 18px rgba(0, 0, 0, 0.25);
}

nav.scrolled .logo {
    background: transparent;
}

.nav-container {
    display: flex;
    justify-content: space-between;
    align-items: center;
}

.logo {
    background: rgba(0, 0, 0, 0.45);
    padding: 4px 8px;
    border-radius: 6px;
    display: inline-block;
    transition: background 0.3s ease;
    font-size: 1.8rem;
    font-weight: bold;
    color: #ff6a00;
}

.logo img {
    height: 45px;
    width: auto;
    display: block;
}

.nav-links {
    list-style: none;
    display: flex;
    gap: 30px;
}

.nav-links a {
    color: white;
    font-weight: 500;
    text-decoration: none;
    position: relative;
    transition: color 0.3s ease;
}

.nav-links a::after {
    content: "";
    position: absolute;
    left: 50%;
    bottom: -6px;
    width: 0;
    height: 2px;
    background: #ff6a00;
    transition: all 0.3s ease;
    transform: translateX(-50%);
}

.nav-links a:hover {
    color: #ff6a00;
}

.nav-links a:hover::after {
    width: 100%;
}

/* BOTONES */
.btn {
    padding: 12px 25px;
    margin: 10px;
    text-decoration: none;
    border-radius: 4px;
    font-weight: bold;
    transition: 0.3s ease;
    display: inline-block;
}

.primary {
    background: #ff6a00;
    color: white;
    position: relative;
    overflow: hidden;
}

.primary::before {
    content: "";
    position: absolute;
    top: 0;
    left: -120%;
    width: 120%;
    height: 100%;
    background: linear-gradient(
        120deg,
        transparent,
        rgba(255, 255, 255, 0.25),
        transparent
    );
    transition: left 0.6s ease;
}

.primary:hover::before {
    left: 120%;
}

.primary:hover {
    background: #e65c00;
}

.secondary {
    background: white;
    color: black;
}

/* Clases de control de navegación */
.btn-prohibido {
    cursor: not-allowed !important;
    opacity: 0.6;
    pointer-events: none; /* Asegura que no se pueda ni pasar el mouse */
}

/* CABECERAS INTERNAS */
.internal-header {
    min-height: 65vh;
    padding-top: 140px;
    padding-bottom: 80px;
    padding-left: 50px;
    padding-right: 50px;
    background: #111;
    text-align: center;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    position:relative;
    overflow: hidden;
}

.hero-servicios {
    background: url("hero/index.jpg") center/cover no-repeat;
}

.internal-header h1 {
    font-size: 2.4rem;
    margin-bottom: 10px;
    color: #ff7a00;
}

.internal-header p {
    color: #bbb;
    font-size: 1.1rem;
}

.internal-content {
    padding: 80px 50px;
    background: #1a1a1a;
}

section {
    padding: 100px 50px;
    background: #111;
}

.container {
    max-width: 1100px;
    margin: auto;
}

/* GRID GENERAL */
.grid {
    display: grid;
    grid-template-columns: repeat(auto-fit, minmax(250px, 1fr));
    gap: 20px;
    margin-top: 40px;
}

.grid div {
    background: #1e1e1e;
    padding: 30px;
    border-left: 4px solid #ff6a00;
    transition: transform 0.3s ease, box-shadow 0.3s ease;
}

.grid div:hover {
    transform: translateY(-5px);
    box-shadow: 0 4px 10px rgba(0, 0, 0, 0.3);
}

/* HEADER REDUCIDO */

.reduced-header {
    max-height: 35vh;
    background: #111;
    text-align: center;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    position:relative;
    overflow: hidden;
}

.reduced-header h1 {
    font-size: 2.4rem;
    color: #ff7a00;
}


.reduced-content {
    padding: 80px 50px;
    background: #111;
}

.reduced-container {
    max-width: 1100px;
    margin: auto;
}

.reduced-container h2 {
    color: #ff6a00;
    margin-bottom: 10px;
}

.reduced-container p {
    color: #bbb;
    line-height: 1.6;
    text-align: justify;
    margin-bottom: 10px;
}

.reduced-container a {
    color: #ffffff;
    margin-right: 1.5px;
    text-decoration: none;
    font-size: 1.0rem;
}

.reduced-container a:hover {
    text-decoration: underline;
}
/* ANIMACIONES */
.scroll-appear {
    opacity: 0;
    transform: translateY(30px);
    transition: all 0.6s ease-out;
}

.scroll-appear.active {
    opacity: 1;
    transform: translateY(0);
}

.fade-in {
    opacity: 0;
    transform: translateY(30px);
    animation: fadeUp 1s forwards;
}

.delay {
    animation-delay: 0.5s;
}

.delay2 {
    animation-delay: 1s;
}

.delay3 {
    animation-delay: 1.5s;
}

.delay4 {
    animation-delay: 2s;
}


@keyframes fadeUp {
    to {
        opacity: 1;
        transform: translateY(0);
    }
}

.footer {
    background: #111;
    color: #bbb;
    text-align: center;
    padding: 20px 50px;
}

.footer p {
    margin-top: 10px;
}

.footer a {
    color: #ff6a00;
    margin-right: 15px;
    text-decoration: none;
    font-size: 0.9rem;
}

.footer a:hover {
    text-decoration: underline;
}